Bug 78307 - new kernel 2.4.18-17.7.x causes system crash -- mouse related?
new kernel 2.4.18-17.7.x causes system crash -- mouse related?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-20 19:10 EST by Harold King
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harold King 2002-11-20 19:10:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Linux 2.4.18-3 i686; U) Opera 6.1  [en]

Description of problem:
Upgraded to 2.4.18-17.7.x as requessted by security alert and
UpgradeAgent.  Kernel will run for several hours with no activity
(i.e. not being used) then hangs.  On reboot into old kernel
found that the new kernl install had changed mouse from 2 button
ps/2 to a generic 3 button (note 7.3 originally auto detected this
way and had to be manually changed).  

Last messages before hang-up:
Nov 20 15:41:36 europa-solar kernel: Unable to handle kernel NULL pointer dereference at virtual address 0000000d
Nov 20 15:41:36 europa-solar kernel:  printing eip:
Nov 20 15:41:36 europa-solar kernel: c0115de9
Nov 20 15:41:36 europa-solar kernel: *pde = 00000000
Nov 20 15:41:36 europa-solar kernel: Oops: 0000
Nov 20 15:41:36 europa-solar kernel: trident ac97_codec soundcore sis sisfb agpgart autofs 8139too mii ide-scsi scsi_mod ide-cd cdrom usb-ohci usbcore ext3 jbd
Nov 20 15:41:36 europa-solar kernel: CPU:    0
Nov 20 15:41:36 europa-solar kernel: EIP:    0010:[<c0115de9>]    Not tainted
Nov 20 15:41:36 europa-solar kernel: EFLAGS: 00010017
Nov 20 15:41:36 europa-solar kernel:
Nov 20 15:41:36 europa-solar kernel: EIP is at __wake_up [kernel] 0x29 (2.4.18-18.7.x)
Nov 20 15:41:36 europa-solar kernel: eax: da5c1f24   ebx: 00000011   ecx: 00000001   edx: 00000003
Nov 20 15:41:36 europa-solar kernel: esi: 00000001   edi: da5c1f20   ebp: de38bdf4   esp: de38bde0
Nov 20 15:41:36 europa-solar kernel: ds: 0018   es: 0018   ss: 0018
Nov 20 15:41:36 europa-solar kernel: Process sendmail (pid: 834, stackpage=de38b000)
Nov 20 15:41:36 europa-solar kernel: Stack: 00000282 00000003 00000000 da5c1e80 df784b18 c23da800 c014cb99 dc20c500
Nov 20 15:41:36 europa-solar kernel:        c01278b4 c209c440 dc20c500 00000000 df784b18 00001000 c23da800 c014cdc5
Nov 20 15:41:36 europa-solar kernel:        c23da800 00001000 df784b18 00000000 00000000 c03434d0 fffffffb c209c440
Nov 20 15:41:36 europa-solar kernel: Call Trace: [<c014cb99>] get_new_inode [kernel] 0xd9 (0xde38bdf8))
Nov 20 15:41:36 europa-solar kernel: [<c01278b4>] handle_mm_fault [kernel] 0xe4 (0xde38be00))
Nov 20 15:41:36 europa-solar kernel: [<c014cdc5>] iget4 [kernel] 0xc5 (0xde38be1c))
Nov 20 15:41:36 europa-solar kernel: [<c0156350>] proc_get_inode [kernel] 0x40 (0xde38be54))
Nov 20 15:41:36 europa-solar kernel: [<c0157fc0>] proc_lookup [kernel] 0xc0 (0xde38be70))
Nov 20 15:41:36 europa-solar kernel: [<c014af8c>] d_alloc [kernel] 0x1c (0xde38be90))
Nov 20 15:41:36 europa-solar kernel: [<c01564ee>] proc_root_lookup [kernel] 0x2e (0xde38bea8))
Nov 20 15:41:36 europa-solar kernel: [<c0142a8f>] real_lookup [kernel] 0x4f (0xde38bebc))
Nov 20 15:41:36 europa-solar kernel: [<c0143254>] link_path_walk [kernel] 0x654 (0xde38bed8))
Nov 20 15:41:36 europa-solar kernel: [<c014376b>] path_lookup [kernel] 0x1b (0xde38bf38))
Nov 20 15:41:36 europa-solar kernel: [<c0143c4f>] filp_open [kernel] 0x8f (0xde38bf48))
Nov 20 15:41:36 europa-solar kernel: [<c0139534>] sys_open [kernel] 0x34 (0xde38bfa8))
Nov 20 15:41:36 europa-solar kernel: [<c0108963>] system_call [kernel] 0x33 (0xde38bfc0))
Nov 20 15:41:36 europa-solar kernel:
Nov 20 15:41:36 europa-solar kernel:
Nov 20 15:41:36 europa-solar kernel: Code: 8b 53 fc 8b 02 85 45 f0 74 ed 6a 00 52 e8 25 f7 ff ff 5a 85




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Let set idle for over 9 hours
2. 
3.
	

Actual Results:  System hang  -- DEAD

Expected Results:  That the system continues to run

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:40:13 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.